:root {
    /* assuming logo is tallest element, then use: header padding * 2 + logo height */
    --site-header--height: calc(var(--wp--preset--spacing--medium) * 2 + 5.25em);
    --site-header--height-pinned: calc(1em + 3em);
}

.site-body {
    margin: 0;
    padding-top: calc(var(--site-header--height) + var(--wp--preset--spacing--large)) !important;
}

.page-template-page-no-title .site-body {
    padding-top: calc(var(--site-header--height)) !important;
}

.wp-block-site-header {
    left: 0;
    margin: 0 auto !important;
    padding: calc(var(--site-header-utility--height) + var(--wp--preset--spacing--medium))
        var(--wp--preset--spacing--medium) var(--wp--preset--spacing--medium);
    position: absolute;
    top: 0;
    transition: padding var(--transition);
    width: 100%;
    z-index: 98;
}

.site-header__container {
    align-items: center;
    column-gap: 3.2em; /* 60 / 18.64 */
    display: flex;
}

.site-header__logo {
    clip-path: inset(0 0 0 0);
    transition: clip-path var(--transition);
}

.site-header__logo img {
    display: block;
    height: 5.25em;
    transition: all var(--transition);
    width: auto;
}

@media (max-width: 1000px) {
    :root {
        --site-header--height: calc(var(--wp--preset--spacing--medium) * 2 + 3.5em);
    }

    .site-header__logo img {
        height: 3.5em;
    }
}

.site-header__mobile-nav-status {
    display: none;
}

/* Pinned Header
--------------------------------------------- */

.wp-block-site-header--is-pinned {
    background-color: var(--wp--preset--color--base);
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.15);
    padding-bottom: 0.5em;
    padding-top: 0.5em;
    position: fixed;
}

.wp-block-site-header--is-pinned .site-header__logo {
    clip-path: inset(0 70% 0 0);
}

.wp-block-site-header--is-pinned .site-header__logo img {
    height: 3em;
}

/* Desktop Navigation
--------------------------------------------- */

@media (min-width: 1001px) {
    .site-header__mobile-nav-trigger {
        display: none;
    }

    /* Desktop Nav Links
    --------------------------------------------- */

    .site-header__nav {
        align-items: center;
        display: flex;
        gap: var(--wp--preset--spacing--medium);
        margin-left: auto;
    }

    .site-nav-links {
        align-items: center;
        display: flex;
        gap: var(--wp--preset--spacing--medium);
        list-style: none;
        margin: 0;
        padding: 0;
    }

    .site-nav-links > .menu-item {
        font-family: var(--wp--preset--font-family--secondary);
        font-size: var(--wp--preset--font-size--base);
        margin: 0;
        position: relative;
    }

    .site-nav-links > .menu-item > a {
        color: var(--wp--preset--color--main);
        display: block;
        font-weight: 700;
        text-decoration: none;
    }

    .site-nav-links > .menu-item.wp-element-button {
        font-size: var(--wp--preset--font-size--base);
    }

    .site-nav-links > .menu-item.wp-element-button > a {
        color: var(--wp--preset--color--base);
    }

    .site-nav-links > .menu-item:not(.wp-element-button) > a:hover {
        color: var(--wp--preset--color--primary);
    }

    /* Desktop Dropdowns
    --------------------------------------------- */

    .site-nav-links > .menu-item.menu-item-has-children > a {
        position: relative;
        padding-right: calc(0.334em + 10px);
    }

    .site-nav-links > .menu-item.menu-item-has-children > a::after {
        background-image: url(../../assets/images/icon-chevron-down.svg);
        background-position: 0 50%;
        background-repeat: no-repeat;
        background-size: 100% auto;
        content: "";
        filter: brightness(0);
        position: absolute;
        right: 0;
        height: 100%;
        top: 0;
        transition: all 0.1s ease-in-out;
        width: 10px;
    }

    .site-nav-links > .menu-item.menu-item-has-children > a:hover::after {
        filter: none;
    }

    .site-nav-links .sub-menu {
        background-color: var(--wp--preset--color--base);
        border-radius: 10px;
        box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.1);
        display: none;
        left: -1.25em;
        list-style: none;
        min-width: 100%;
        padding: 2px;
        position: absolute;
        top: 100%;
        z-index: 9999;
    }

    .site-nav-links .sub-menu > .menu-item {
        font-size: var(--wp--preset--font-size--small);
        margin: 0;
        white-space: nowrap;
    }

    .site-nav-links .sub-menu > .menu-item a {
        background-color: var(--wp--preset--color--base);
        border-radius: 10px;
        color: var(--wp--preset--color--main);
        display: block;
        padding: 0.5em 1.25em;
        text-decoration: none;
    }

    .site-nav-links .sub-menu > .menu-item a:hover {
        background-color: var(--wp--preset--color--primary);
        color: var(--wp--preset--color--base);
    }

    .site-nav-links > .menu-item:hover .sub-menu {
        display: block;
    }
}

/* Mobile Navigation
--------------------------------------------- */

@media (max-width: 1000px) {
    /* Mobile Menu Trigger
    --------------------------------------------- */

    .site-header__mobile-nav-trigger {
        --mobile-nav-trigger-color: var(--wp--preset--color--primary);
        align-items: center;
        cursor: pointer;
        gap: var(--wp--preset--spacing--20);
        margin-left: auto;
        text-transform: uppercase;
        width: auto;
    }

    .site-header__mobile-nav-trigger-text {
        color: var(--mobile-nav-trigger-color);
        font-family: var(--wp--preset--font-family--secondary);
        font-size: var(--wp--preset--font-size--base);
        font-weight: 700;
        line-height: 1;
    }

    .site-header__mobile-nav-burger {
        background: var(--mobile-nav-trigger-color);
        display: block;
        height: 2px;
        position: relative;
        top: 0;
        width: 14px;
    }

    .site-header__mobile-nav-burger::before,
    .site-header__mobile-nav-burger::after {
        background: var(--mobile-nav-trigger-color);
        content: "";
        display: block;
        height: 100%;
        position: absolute;
        top: 5px;
        transition: all var(--transition);
        width: 100%;
    }

    .site-header__mobile-nav-burger::after {
        top: -5px;
    }

    .site-header__mobile-nav-status:checked ~ .site-header__mobile-nav-trigger .site-header__mobile-nav-burger {
        background: transparent;
    }

    .site-header__mobile-nav-status:checked ~ .site-header__mobile-nav-trigger .site-header__mobile-nav-burger::before,
    .site-header__mobile-nav-status:checked ~ .site-header__mobile-nav-trigger .site-header__mobile-nav-burger::after {
        top: 0;
    }

    .site-header__mobile-nav-status:checked ~ .site-header__mobile-nav-trigger .site-header__mobile-nav-burger::before {
        transform: rotate(-45deg);
    }

    .site-header__mobile-nav-status:checked ~ .site-header__mobile-nav-trigger .site-header__mobile-nav-burger::after {
        transform: rotate(45deg);
    }

    .site-header__mobile-nav-trigger {
        display: flex;
    }

    /* Mobile Flyout Menu 
    --------------------------------------------- */

    .site-header__logo,
    .site-header__mobile-nav-trigger {
        z-index: 3;
    }

    .wp-block-site-header::before {
        content: "";
        height: 100%;
        left: 0;
        top: 0;
        position: absolute;
        width: 100%;
        z-index: 2;
    }

    .site-header__nav {
        background-color: var(--wp--preset--color--base);
        border-bottom: 5px solid var(--wp--preset--color--primary);
        display: block;
        left: 0;
        overflow: hidden;
        position: absolute;
        top: 100%;
        transform: translateY(calc(-200% - 5px));
        transition: transform var(--transition);
        width: 100%;
        z-index: 1;
    }

    .site-header__mobile-nav-status:checked ~ .site-header__nav {
        transform: translateY(0);
    }

    .site-header__nav-links {
        list-style: none;
        margin: 0;
        padding: 2em;
        text-align: right;
    }

    .site-header__nav-links > .menu-item {
        font-size: var(--wp--preset--font-size--large);
    }

    .site-header__nav-links > .menu-item > a {
        display: block;
        padding: 0.5em 0;
        text-decoration: none;
    }

    .site-header__nav-links > .menu-item:first-child > a {
        padding-top: 0;
    }

    .site-header__nav-links > .menu-item.menu-item-has-children {
        margin-bottom: 0.25em;
    }

    .site-header__nav-links > .menu-item.menu-item-has-children > a {
        padding-bottom: 0;
    }

    .site-header__nav-links > .menu-item.wp-element-button {
        display: inline-block;
        margin-top: 0.5em;
    }

    .site-header__nav-links > .menu-item.wp-element-button > a {
        color: var(--wp--preset--color--base);
        padding: 0;
    }

    .site-header__nav-links .sub-menu {
        list-style: none;
        margin: 0;
        padding: 0;
    }

    .site-header__nav-links .sub-menu > .menu-item {
        font-size: var(--wp--preset--font-size--small);
    }

    .site-header__nav-links .sub-menu > .menu-item > a {
        display: block;
        text-decoration: none;
    }
}
